<?php /* 
	Event table options template
*/ ?>
<form><div class="administrate-event-filters">
	
	<?php if( $show_categories ) { ?>
	<div>
		<?php $this->service->echo_text('Show'); ?>
		
			<select name="administrate-event-table-category" id="administrate-event-table-category">
				<option value=""><?php $this->service->echo_text('All Events'); ?></option>
					
				<?php foreach( $categories_list as $category ) { ?>
				
					<?php
					if ($this->service->is_hidden('category', $category->get_id())) {
						continue;
					} ?>
				
					<?php $id_str = $category->get_id().':0'; ?>
				
					<option value="<?php echo  $id_str; ?>" <?php if ($id_str == $cat_id) { echo "selected"; } ?> >
						<?php echo  $category->get_name(); ?>
					</option>
				
				<?php $subcat_list = $category->get_subcategories(); ?>
				
				<?php foreach( $subcat_list as $subcategory ) { ?>
					<?php if ($this->service->is_hidden('subcategory', $subcategory->get_id())) {
						continue;
					} ?>
					<?php $sub_id = $category->get_id() . ':' . $subcategory->get_id(); ?>
					<option value="<?php echo  $sub_id; ?>" <?php if( $sub_id == $cat_id ) { echo "selected"; } ?> >
						&nbsp; &ndash; <?php echo  $subcategory->get_name(); ?>
					</option>
				<?php } ?>
					
			<?php } ?>
		</select>
	</div>
	<?php } ?>

	<div>
		<?php
		if($show_categories) {
			$this->service->echo_text('in the next');
		} else {
			$this->service->echo_text('Show the next');
		}
		?>

		<select name="administrate-event-table-month" id="administrate-event-table-month">
		<?php for( $i = 1; $i <= $num_months; ++$i ) { ?>
			<?php if( ($i<12) || ($i%6==0) ) { /* If more than 12 months, display every 6th */ ?>
				<option value="<?php echo  $i; ?>" <?php if( $i == $num_saved_months ) { echo "selected"; } ?> >
					<?php echo  $i; ?>
				</option>
			<?php } ?>
		<?php } ?>
		</select>
		<?php $this->service->echo_text('months'); ?>
	</div>
	
	<div>
		<?php $this->service->echo_text('in'); ?>
		
		<select name="administrate-event-table-location" id="administrate-event-table-location">
		<option value=""><?php $this->service->echo_text('All Locations'); ?></option>
				
		<?php foreach( $locations_list as $location ) { ?>
			<?php if( is_string($location) ) { ?>
				<option value="<?php echo  $location; ?>" <?php if( $location == $location_name ) { echo "selected"; } ?> >
					<?php echo  $location; ?>
				</option>
			<?php } else { ?>
				<option value="<?php echo  $location->get_name(); ?>" <?php if( $location->get_name() == $location_name ) { echo "selected"; } ?> >
					<?php echo $location->get_name() . ', ' . $location->get_country(); ?>
				</option>
			<?php } ?>
		<?php } ?>
		</select>
		
		<?php /* Currency List*/ ?>
	
		<?php if( $currency_list ) { ?>
		
		<select name="administrate-currency-select" id="administrate-currency-select" class="administrate-currency-select">
			<option value="all">All Currencies</option>
			
			<?php foreach( $currency_list as $currency_name => $processor_name) { ?>
			<option value="<?php echo $currency_name?>"><?php echo $currency_name?></option>
			<?php } ?>
			
		</select>
		<?php } ?>
	</div>

</div>
</form>

