<?php
//  Learning Track
//
class AdministrateWidgetLearningTrack extends AdministrateLearningTrackWidget {
	public function __construct($service) {
		parent::__construct($service, 'learning_track');

		if(function_exists('wp_enqueue_script')) {
			wp_enqueue_style('administrate_learning_track', plugins_url('learning_track.css', __FILE__));
		}
	}

	public function run($widget_params = array()) {
		parent::run($widget_params);
		$this->fetch_learning_track($widget_params['track_id']);
		$this->params['learning_track_page'] = trim($widget_params['learning_track_page'], '/');

		return $this->get_template_content("learning_track.php");
	}

	public function fetch_learning_track($track_id) {
		$this->params['learning_track'] = Administrate::api()->get_learning_track($track_id);
	}
}
