<?php
/*
	Wordpress Admin
	Multi-currency list template
*/
require_once($this->plugin->get_path('/widgets/event_price/AdministrateWidgetEventPrice.php'));
$currency_list = array( );
?>

<?php /* 'Add Currency' */ ?>

<p id="administrate_currency_list_form">
	Add
	<select id="administrate_currency" >
	<?php foreach (AdministrateWidgetEventPrice::$currencySymbols as $name=>$display) { ?>
		<option value="<?php echo  $name; ?>" <?php if( isset($currentValue) && ($name == $currentValue)) { echo "selected"; } ?>>
			<?php echo  $name; ?>, <?php echo  $display; ?>
		</option>
	<?php } ?>
	</select>

	and associate it with
	<select id="administrate_processor">
		<option value="PayPal">PayPal</option>
		<option value="SagePay">SagePay</option>
		<option value="AuthorizeNet">Authorize.Net</option>
		<option value="Stripe">Stripe</option>
	</select>
	<?php submit_button(__('Add Currency', 'administrate'), 'secondary', 'administrate_add_currency', false); ?>
</p>

<?php /* Currency list preview */ ?>

<ul <?php if( !count($currency_list) ) { echo 'style="display: none;"';} ?>
	class="administrate_currency_list_preview" id="administrate_currency_list_preview" >
		
	<?php foreach($currency_list as $currency => $processor) { ?>
	<li>Enable <span><?php echo  $currency ?></span> and associate it with <span><?php echo  $processor ?></span>.</li>
	<?php } ?>
</ul>

<?php /* Currency list empty */ ?>

<p <?php if( count($currency_list) ) { echo 'style="display: none;"';} ?> 
	id="administrate_no_multicurrency">
	The multi-currency list is empty. Events will be displayed in the Wordpress default currency.
</p>

<?php /* Currency list tip */ ?>

<p <?php if( !count($currency_list) ) { echo 'style="display: none;"';} ?> 
	id="administrate_multicurrency_tip">
	Please enable payment by CC if you wish to use the payment processors.
</p>

<?php /* Store the list */ ?>

<input type="hidden" id="currency_list" name="<?php echo  $field['optionsKey']; ?>[<?php echo  $field['key']; ?>]" value="<?php echo  $field['value']; ?>">
