/*
	Event list
*/
function administrate_event_list($, dom_list) {
	var list = $(dom_list);
	
	// Show sessions container
	//
	var session_links = list.find(".administrate-session-link");
	session_links.on( "mouseover", function(e) {
		var widget    = $(this).closest(".administrate-widget");
		var event_id  = $(this).closest("dl").attr("data-event-id");
		var container = $( "#sessions-" + event_id );

		var widget_pos = widget.offset();
		var pos = {left:e.pageX-widget_pos.left, top:e.pageY-widget_pos.top};

		container.css( {"left": (pos.left+20) + "px", "top": (pos.top-20) + "px"} );
		container.show();
	});

	session_links.on( "mouseout", function(e) {
		var event_id = $(this).closest("dl").attr("data-event-id");
		var container = $( "#sessions-" + event_id );
		container.fadeOut("fast");
	});


	var venue_links = list.find(".administrate-venue-link");
	venue_links.on( "mouseover", function(e) {
		var widget    = $(this).closest(".administrate-widget");
		var event_id  = $(this).closest("dl").attr("data-event-id");
		var container = $( "#venues-" + event_id );

		var widget_pos = widget.offset();
		var pos = {left:e.pageX-widget_pos.left, top:e.pageY-widget_pos.top};

		container.css( {"left": (pos.left+20) + "px", "top": (pos.top-20) + "px"} );
		container.show();
	});

	venue_links.on( "mouseout", function(e) {
		var event_id = $(this).closest("dl").attr("data-event-id");
		var container = $( "#venues-" + event_id );
		container.fadeOut("fast");
	});
}
