<?php
//  Event Slider
//
class AdministrateWidgetEventSlider extends AdministrateEventWidget2 {
	public function __construct($service) {
		parent::__construct($service, 'event_slider');
		
		if( function_exists("wp_enqueue_style") ) {
			wp_enqueue_style( 'administrate_event_slider', plugins_url('event_slider.css', __FILE__) );
			wp_enqueue_script( 'administrate_event_slider', plugins_url('event_slider.js', __FILE__), array('jquery'), false, true);
		}
	}
	
	public function run($widget_params = array()) {
		parent::run($widget_params);
		return $this->get_template_content('event_slider.php');
	}
}
