<div id="administrate-learning-track-list" class="administrate-widget administrate-sort-filter-table">

	<table cellspacing="0" data-group-size='<?php echo $group_size; ?>' id="administrate-learning-track-list-table">
		<thead>
		<tr>
			<th colspan="2" data-sorter="false"><?php $this->service->echo_text('Learning Tracks'); ?></th>
		</tr>
		</thead>
		<tbody>
		<?php foreach($learning_track_list as $track) { ?>
			<tr>
				<td>
					<p>
						<strong><a href="<?php echo $this->service->get_widget_url_track($track->id); ?>"><?php echo $track->name; ?></a></strong>
						<br>
						<em>Estimated Completion Time: <?php echo $track->expected_completion_duration; ?> Days.</em>
					</p>
					<p>
						<?php echo $track->description; ?>
					</p>
				</td>
				<td style="min-width: 160px;">
					<?php
					list($display, $prices_include_taxes) = AdministrateLearningTrackWidget::display_price(
						$track,
						$this->service->get_option('currency', 'pricing'),
						$this->service->get_currency_symbol($this->service->get_option('currency', 'pricing')),
						$this->service->get_option('basis', 'pricing')
					);

					echo $display . '<br>';
					?>
					<?php if(!is_null($prices_include_taxes)) { ?>
						<?php if($this->service->get_option('use_sales_opportunities', 'checkout')) { ?>
							<a href="<?php echo $this->service->get_widget_url_track($track->id); ?>" class="administrate-learning-track-list-register-link"><?php $this->service->echo_text('Register Now'); ?> &raquo;</a>
							<?php } else { ?>
							<em>Checkout Unavailable</em>
						<?php } ?>
					<?php } ?>

				</td>
			</tr>
		<?php } ?>
	</table>

	<div class="administrate-no-rows"><?php echo $no_learning_tracks; ?></div>

	<?php if( $group_size > 0 ) { ?>
		<div id="administrate-learning-track-list-pager">
			<a href="#" class="administrate-learning-track-list-pager-first" title="<?php $this->service->echo_text('first group'); ?>">&laquo;</a>
			<a href="#" class="administrate-learning-track-list-pager-previous" title="<?php $this->service->echo_text('previous group'); ?>">&lsaquo;</a>
			<span class="administrate-learning-track-list-pager-status"></span>
			<a href="#" class="administrate-learning-track-list-pager-next" title="<?php $this->service->echo_text('next group'); ?>">&rsaquo;</a>
			<a href="#" class="administrate-learning-track-list-pager-last" title="<?php $this->service->echo_text('last group'); ?>">&raquo;</a>
		</div>
	<?php } ?>
	<?php include( $this->service->get_widget_dir(). "/footer.php" ); ?>
</div>
