<?php

$_CONFIG['options'] = array(

	//  API options
	'api_key'		=>	'demo',
	'cache_timeout'		=> 0,
	'debug'			=>	true,
	
	//  General course display options
	'show_empty_courses'		=> true,
	'course_field_labels'		=> null,
	'course_field_label_defaults'		=> array(
		'code'			=>	'Course Code',
		'summary'		=>	'Summary',
		'schedule'		=>	'Schedule',
		'location'		=>	'Location',
		'inclusions'	=>	'What\'s Included',
		'method'		=>	'Instruction Method',
		'prerequisites'	=>	'Prerequisites',
		'topics'		=>	'Topics',
		'benefits'		=>	'Benefits',
		'custom_text_8'	=>	'Custom Text 8',
		'duration'		=>	'Duration (in days)'
	),
	
	//  Event options
	'num_months'                        =>  12,
	'show_mobile_friendly'              =>  false,
	'show_prices'                       =>	true,
	'show_remaining_places'             =>  true,
	'show_today'                        =>  true,
	'show_current_online'               =>  true,
	'show_times'                        =>  false,
	'show_classroom_dates'              =>  false,
	'show_dates'                        =>  true,
	'show_venues'                       =>  false,
	'show_locations'                    =>  true,
	'show_codes'                        =>  true,
	'show_sold_out'                     =>  false,
	'group_size'                        =>  10,
	'category_id'                       =>  null,
	'course_code'                       =>  null,
	'location_name'                     =>  null,
	'group_by'                          =>  'none',
	'group_title_pre'                   =>  '',
	'group_title_post'                  =>  '',
	'no_events_message'                 =>  'We could not find any future events. This is usually a temporary error. Please try again.',
	'registration_deadline_timezone'    =>'UTC',
	
	// Event Date & Time options
	'date_format'     => "MDY", // MDY, or DMY
	'show_24h_times'  => true,  // 20:00h, or 8PM
	'show_year'       => false,
	
	// Event session options
	'show_sessions'           => true,
	'show_session_titles'     => true,
	
	//  Pricing options
	'inc_taxes' 				=>	false,
	'tax_label'					=>	'VAT',
	'basis'						=>	'net', // net / gross
	'currency'					=>	'GBP', // AED, AUD, CAD, BHD, EGP, EUR, GBP, INR, JOD, KWD, LBP, OMR, PLN, QAR, SAR, SYP, USD, NZD
	'currency_indicator'		=>	'symbol', // symbol / currency
	'show_currency_indicator'	=>	true,
	
	//  Checkout widget options
	'use_sales_opportunities'   	=> false,
	'checkout_page'					=>	1,
	'order_notify_email'			=>	'',
	'max_attendees'					=>	0,
	'default_country'				=>	'GB',
	'terms' 						=>	'',
	'course_fields'					=>	'',
	'step1_course_fields'			=>	'',
	'step4_course_fields'			=>	'',
	'billing_address' 				=>	'',
	'payment_by_invoice'			=>	true,
	'invoice_instructions'			=>	'',
	'invoice_send_email'			=>	true,
	'payment_by_cc'					=>	false,
	'payment_processor'				=>	false,
	'sagepay_email_message'			=>	'',
	'cc_instructions' 				=>	'Enter the instructions for payment by credit card here',
	'cc_send_email'					=>	true,
	'payment_success_url'			=>	'http://www.getadministrate.com',
	'conversion_tracking'			=>	'',
	'force_email_check'				=>	1,
	'paypal_mode'					=> 	'Live',
	'sagepay_mode'					=> 	'Live',
	'authorizenet_mode'				=> 	'Live',
	'show_promo_codes'				=> true,
	'order_error_message' 			=> 'There was a problem with your order, please contact us.',
	'validation_error_message'		=> 'Please resolve the following issues before proceeding:'
);

//  Database fields
$_CONFIG['data_labels'] = array(

	//  Orders table
	'orders' => array(		
		'order_status'					=>	'Order Status',
		'order_payment_type'			=>	'Payment Type',
		'order_time_started'			=>	'Datetime Started',
		'order_time_completed'			=>	'Datetime Completed',
		'order_event_id'				=>	'Event',
		'order_track_id'				=>	'Track',
		'order_session_id'				=>	'Session ID',
		'order_max_step'				=>	'Last Step',
		'order_currency'				=>	'Currency',
		'order_discount'				=>	'Discount Code',
		'order_buyer_details'			=>	array(
			'first_name'	=>	'First Name',
			'last_name'		=>	'Last Name',
			'company'		=>	'Company',
			'email'			=>	'Email',
			'phone'			=>	'Phone'
		),
		'order_invoice_address'			=>	array(
			'address'		=>	'Address',
			'city'			=>	'City',
			'territory'		=>	'County/State',
			'postal_code'	=>	'Postal Code',
			'country'		=>	'Country'
		),
		'order_num_attendees'			=>	'# Attendees',
		'order_attendee_details'		=> array(
			'first_name'	=>	'First Name',
			'last_name'		=>	'Last Name',
			'email'			=>	'Email'
		),
		'order_processor_transaction_id'	=>	'Processor Transaction ID',
		'order_api_invoice_id'				=>	'API Order ID'
	),
	
	//  Logs table
	'logs' => array(
		'log_msg'		=>	'Log Message',
		'log_time'		=>	'Log Datetime',
		'log_order_id'	=>	'Log Order ID'
	)
);
