<?php 
extract($params);
$txt_thankyou = $this->service->get_text('Thank You - your order has been placed!');
$txt_order = $this->service->get_text('Your order number is <strong>#%d</strong>. Please reference this order number     if you contact us with an enquiry.');
$txt_cc_payment = $this->service->get_text('You should receive a payment confirmation from %s shortly.');
$txt_contact = $this->service->get_text('We will be in touch regarding your course soon.  In the meantime, if you have any enquiries, please do not hesitate to contact us.');
$txt_order_error_title = $this->service->get_text('There was a problem with your order');
$txt_order_error_notice = $this->service->get_option('order_error_message');
?>

<?php if( ($payment_processor=='Stripe') && !$order_status_ok ) { ?>
<h2>Your card payment was not completed, please return back and try again.</h2>
<?php foreach( $errors as $error ) { ?>
    <p><?php echo  $error ?></p>
<?php } ?>
<button type="submit" id="stripe_return_link">Previous Step</button>


<?php } else if($order_status_ok) { ?>

<h2><?php printf($txt_thankyou); ?></h2>
<p><?php printf($txt_order, $order_num); ?></p>

<?php if ($payment_type == 'C') { ?>
<p><?php printf($txt_cc_payment, $payment_processor); ?></p>	
<?php } ?>

<p><?php printf($txt_contact); ?></p>


<?php } else { ?>

<h2><?php printf($txt_order_error_title); ?></h2>
<p><?php printf($txt_order_error_notice); ?></p>

<?php } ?>

<?php echo  $this->service->get_option('conversion_tracking'); ?>

<script type="text/javascript" >
(function($) {
    $("#stripe_return_link").on("click", function(e){
        e.preventDefault();
        window.location = window.location + "&tac=true";
        location.reload();
    });
})(jQuery);
</script>
